<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <link rel="stylesheet" href="./style.css" type="text/css" />
  <title>pyprof2html - output.pstats</title>
<script type="text/javascript" src="./jquery.js"></script>
<script type="text/javascript" src="./jquery.tablesorter.min.js"></script>
<script type="text/javascript" id="js">
  $(document).ready(function() {
      $("tr").mouseover(function() {
          $(this).addClass("hover");
          }).mouseout(function() {
          $(this).removeClass("hover");
          });
  });
  $(document).ready(function() {
    $("table.prof").tablesorter({
      headers: {5: {sorter: false}}
    });
    $('#iFilter').change(function(event) {
       var v = $(this).val();

       if (v == "") {
          $("table.prof tbody tr").show();
       } else {
          $("table.prof tbody tr").hide();
          $("table.prof tbody tr:contains('" + v + "')").show();
       }
    });
  });</script>
</head>

<body>
  
  <div class="content">

    <div class="header">
        <div class="header-title"><a href="./index.html">Profile Report</a></div>
        <div class="header-time">
          Profile Time on <span class="bold">Sat Sep 14 19:35:04 2024</span><br/>
          Reported Time on <span class="bold">Sat Sep 14 19:35:44 2024</span>
        </div>
    </div>

    <div class="profile-info">
      <h2>Profile Info</h2>
      <p>Profile Data Type: <span class="bold">cProfile</span><br/>
         Total Time: <span class="bold"> 12.1340</span> CPU second<br/>
         Total Func Call: <span class="bold">8691451</span
                          > function calls</p>
    </div>

    <hr/>

    <div class="profile-table">
      <h2>Top 20 functions data&nbsp;&nbsp;&nbsp;<a href="index-all.html">all function&nbsp;&raquo;</a><div id="dFilter" title="filltering filename">filter:
          <input id="iFilter" name="iFilter" type="text" size="50" value="" /></div>
        </h2>

    <table class="prof">
      <thead>
        <tr>
        <th class="prof"><span title="for the number of calls">ncalls</span></th>
        <th class="prof"
        ><span title="for the total time spent in the given
 function (and excluding time made in calls to sub-functions)"
        >tottime</span></th>
        <th class="prof"
        ><span title="the quotient of tottime divided by ncalls"
        >percall</span></th>
        <th class="prof"
        ><span title="total time spent in this and all
 subfunctions (from invocation till exit).
 This figure is accurate even for recursive functions.">cumtime</span></th>
        <th class="prof"
        ><span title="the quotient of cumtime divided by primitive calls"
        >percall</span></th>
        <th style="width:700px;" class="prof" align="center"
        ><span title="provides the respective data of each function"
        >filename:lineno(function)</span></th>
        </tr>
      </thead>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_c47213c872662637f49b6fb8d48611f2">12001</a></td>
              <td class="profdata" style="background-color:#ff3333">  2.4483</td>
              <td class="profdata" style="background-color:#ffffff">  0.0002</td>
              <td class="profdata" style="background-color:#ff3333">  5.5567</td>
              <td class="profdata" style="background-color:#ffffff">  0.0005</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/proxoperators/Approx_Pphase_FreFra_Poisson_cuda.py :
                     55 &#40;
                     eval&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_c107b42fcede23a18a9930a426e0f1c8">12000</a></td>
              <td class="profdata" style="background-color:#ff6666">  1.4422</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
              <td class="profdata" style="background-color:#ff3333">  1.4794</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
                <td class="prof">&lt;method &#39;argsort&#39; of &#39;cupy._core.core.ndarray&#39; objects&gt;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_57557d1af7d832e55d99bc2e603bee9d">12001</a></td>
              <td class="profdata" style="background-color:#ffcc33">  0.9487</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
              <td class="profdata" style="background-color:#ffcc33">  0.9547</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/proxoperators/proxoperator.py :
                     42 &#40;
                     magproj&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_d49714d09c5858428c74be06bfe75fac">12000</a></td>
              <td class="profdata" style="background-color:#ffcc33">  0.5700</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ff3333">  2.6580</td>
              <td class="profdata" style="background-color:#ffffff">  0.0002</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/proxoperators/P_Sparsity_cuda.py :
                     78 &#40;
                     eval&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_96b44825c3cd8876a8cb6b02b4615b3e">6000</a></td>
              <td class="profdata" style="background-color:#ffcc33">  0.5530</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
              <td class="profdata" style="background-color:#ff3333">  5.0100</td>
              <td class="profdata" style="background-color:#ffffff">  0.0008</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/algorithms/phase_feasibilityIterateMonitor_cuda.py :
                     76 &#40;
                     updateStatistics&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_039be91635b67fa32e841eac6e60a408">12004</a></td>
              <td class="profdata" style="background-color:#ffcc33">  0.4138</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ffcc33">  0.4742</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof">&lt;method &#39;nonzero&#39; of &#39;cupy._core.core.ndarray&#39; objects&gt;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_1e68dfdf7380660aaa61f6bf370d3610">12000</a></td>
              <td class="profdata" style="background-color:#ffcc33">  0.3939</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ff3333">  2.0157</td>
              <td class="profdata" style="background-color:#ffffff">  0.0002</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/proxoperators/P_Sparsity_cuda.py :
                     49 &#40;
                     eval&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_59ff37ce54b66aa6a595d36e607d5ee4">6000</a></td>
              <td class="profdata" style="background-color:#ffcc33">  0.3843</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
              <td class="profdata" style="background-color:#ff3333">  4.5324</td>
              <td class="profdata" style="background-color:#ffffff">  0.0008</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/algorithms/RAAR_cuda.py :
                     11 &#40;
                     evaluate&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_5b38f2878f7350553ce5d29715552050">42004</a></td>
              <td class="profdata" style="background-color:#66ff99">  0.3085</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#66ff99">  0.3089</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof">&lt;method &#39;sum&#39; of &#39;cupy._core.core.ndarray&#39; objects&gt;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_142c27abe28e65e49fa49cbda097e5de">12001</a></td>
              <td class="profdata" style="background-color:#66ff99">  0.1762</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ffcc33">  0.5801</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/proxoperators/propagators.py :
                     106 &#40;
                     eval&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_318e64a00463b15e92d8d09a644780c9">24003</a></td>
              <td class="profdata" style="background-color:#66ff99">  0.1688</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ffcc33">  0.5442</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/.local/lib/python3.10/site-packages/cupy/fft/_fft.py :
                     484 &#40;
                     _exec_fftn&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_c8d36d3df0c0fba9c42973b80c45676b">12001</a></td>
              <td class="profdata" style="background-color:#66ff99">  0.1676</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ffcc33">  0.6721</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/proxoperators/propagators.py :
                     171 &#40;
                     eval&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_146e10f8590cae56216780460c712a56">18002</a></td>
              <td class="profdata" style="background-color:#66ff99">  0.1484</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#66ff99">  0.3455</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/.local/lib/python3.10/site-packages/cupy/linalg/_norms.py :
                     31 &#40;
                     norm&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_902938e5026570cbcf728fb6a5ca48a1">34688</a></td>
              <td class="profdata" style="background-color:#66ff99">  0.1265</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#66ff99">  0.2052</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof" style="width:700px;">
                     /usr/lib/python3.10/inspect.py :
                     744 &#40;
                     cleandoc&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_0f227c1cb3d270ddff22a8c85a6b9a4b">1148</a></td>
              <td class="profdata" style="background-color:#ffffff">  0.1126</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
              <td class="profdata" style="background-color:#ffffff">  0.1126</td>
              <td class="profdata" style="background-color:#ffffff">  0.0001</td>
                <td class="prof">&lt;built-in method marshal.loads&gt;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_a4e3e3361f91ec964057bfac49f9ec5f">12004</a></td>
              <td class="profdata" style="background-color:#ffffff">  0.1061</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ffffff">  0.1061</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof">&lt;built-in method cupy._core.core.array&gt;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_baf302d74c53c01e9a820df8a8495d57">72014</a></td>
              <td class="profdata" style="background-color:#ffffff">  0.0949</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ffffff">  0.0949</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/.local/lib/python3.10/site-packages/cupy/_creation/basic.py :
                     7 &#40;
                     empty&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_2d72636fbf7b39fd62a7178f089d16e5">1</a></td>
              <td class="profdata" style="background-color:#ffffff">  0.0947</td>
              <td class="profdata" style="background-color:#ffffff">  0.0947</td>
              <td class="profdata" style="background-color:#ff3333">  9.7437</td>
              <td class="profdata" style="background-color:#ff3333">  9.7437</td>
                <td class="prof" style="width:700px;">
                     /home/wehling-psc/projects/prox-toobox-cuda-wehling-dauletbek-1/proxtoolbox/algorithms/algorithm.py :
                     138 &#40;
                     run&nbsp;&#41;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_f5dfccdf41a7c041b70aa534bf00ebd9">24003</a></td>
              <td class="profdata" style="background-color:#ffffff">  0.0915</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
              <td class="profdata" style="background-color:#ffffff">  0.0915</td>
              <td class="profdata" style="background-color:#ffffff">  0.0000</td>
                <td class="prof">&lt;method &#39;fft&#39; of &#39;cupy.cuda.cufft.PlanNd&#39; objects&gt;</td>
            </tr>
        <tr>
              <td class="profdata" style="background-color:#ffffff"
                ><a href="callers.html#callers_4ac212b2354d80076dbe888cf26d2379">8</a></td>
              <td class="profdata" style="background-color:#ffffff">  0.0813</td>
              <td class="profdata" style="background-color:#ffffff">  0.0102</td>
              <td class="profdata" style="background-color:#ffffff">  0.0813</td>
              <td class="profdata" style="background-color:#ffffff">  0.0102</td>
                <td class="prof">&lt;method &#39;encode&#39; of &#39;ImagingEncoder&#39; objects&gt;</td>
            </tr>
        </table>
    </div>

    <div id="footer">
    <p>
    Generated by
    <a href="http://pypi.python.org/pypi/pyprof2html/">pyprof2html</a>: 0.3.2
    &nbsp;&nbsp;&nbsp;Powered by <a href="http://www.python.org/">Python</a
    > and <a href="http://jinja.pocoo.org/2/">Jinja2</a>
    </p>
    </div>

  </div>

</body></html>
